AC_DEFUN([UPI_CHECK_SDL_PERL],[
  AC_MSG_CHECKING(for SDL_perl 1.20.0 or later)
  if ! perl -e 'use SDL'; then echo -e "\n    *** I need perl-SDL installed.\n    *** Please install it, and run configure again."; exit; fi
  if ! perl -e 'use SDL; ($mj, $mn, $mc) = split /\./, $SDL::VERSION; exit 1 if $mj<1 || $mj ==1 && $mn<20'; then echo -e "\n    *** I need perl-SDL version 1.20.0 or later."; exit; fi
  AC_MSG_RESULT(yes)
])

AC_DEFUN([UPI_CHECK_PERL_MODULES],[
  AC_MSG_CHECKING(for Compress::Zlib)
  if ! perl -e 'use Compress::Zlib; print ($Compress::Zlib::VERSION || exit 1)'; then echo -e "\n    *** I need perl module Compress::Zlib installed.\n    *** Please install it, and run configure again."; exit; fi
  AC_MSG_RESULT()
  AC_MSG_CHECKING(for MIME::Base64)
  if ! perl -e 'use MIME::Base64; print ($MIME::Base64::VERSION || exit 1)'; then echo -e "\n    *** I need perl module MIME::Base64 installed.\n    *** Please install it, and run configure again."; exit; fi
  AC_MSG_RESULT()
])

